Subject: Re: [PATCH v3] fuzz: link fuzz programs with `make all` on Linux

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Apr 2024 12:07:32 -0700

Josh Steadmon <[email-masked]> writes:

> Since linking the fuzzer executables without a fuzzing engine does not
> require a C++ compiler, we can change the FUZZ_PROGRAMS build rule to
> use $(CC) by default. This avoids compiler mis-match issues when
> overriding $(CC) but not $(CXX). When we *do* want to actually link with
> a fuzzing engine, we can set $(FUZZ_CXX). The build instructions in the
> CI fuzz-smoke-test job and in the Makefile comment have been updated
> accordingly.
>
> While we're at it, we can consolidate some of the fuzzer build
> instructions into one location in the Makefile.

Looks good to me.  Will replace and let's mark it for 'next'.

I do not recall suggesting anything concrete on this one, though ;-)

Thanks.

> Suggested-by: Junio C Hamano <[email-masked]>
> Helped-by: Jeff King <[email-masked]>
> Signed-off-by: Josh Steadmon <[email-masked]>
> ---
> Changes in V3:
> * Dropped CI config patch; no longer needed since we don't use CXX in
>   fuzzer build rules anymore